import request from '@/utils/request'

export function searchCustomer(data) {
  return request({
    url: '/customer/search',
    method: 'post',
    data
  })
}


export function syncCustomer() {
  return request({
    url: '/customer/sync',
    method: 'post'
  })
}

/* 新增客户  */

export function createCustomer(data) {
  return request({
    url: '/customer/create',
    method: 'post',
    data
  })
}

/* 更新客户 customer/update */

export function updateCustomer(data) {
  return request({
    url: '/customer/update',
    method: 'post',
    data
  })
}

/* customer/delete */

export function deleteCustomer(data) {
  return request({
    url: '/customer/delete',
    method: 'post',
    data
  })
}